<?php
 include("../config.php");      //基本資料設定
$path_parts = pathinfo(htmlentities($_SERVER['REQUEST_URI']));  //這邊的$path_parts會是一個陣列，裡面的元素就是我們要的資訊。
if(!strcasecmp($path_parts['basename'],$path_parts['filename']))
{header('Location: https://zh.wikipedia.org/wiki/404'); //這裡不需要參數，如果有找到，則導至404 
exit;}
if(!empty($_SERVER['QUERY_STRING'])&&!filter_var($_SERVER['QUERY_STRING'], FILTER_VALIDATE_URL, FILTER_FLAG_QUERY_REQUIRED))
{header('Location: https://zh.wikipedia.org/wiki/404'); //這裡不需要參數，如果有找到，則導至404 
exit;}
 if (isset($_SERVER['SERVER_NAME'])) {
		//用 php 取得目前完整網址且判斷 http 或 https
        $serverhost = $_SERVER['SERVER_NAME'];
        $protocol = ((!empty($_SERVER['HTTPS']) && $_SERVER['HTTPS'] != 'off') || $_SERVER['SERVER_PORT'] == 443) ? "https://" : "http://";
        $http = $_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'];
		//echo $protocol.$http;
		$strurl     = str_replace($protocol,'',$http);  
        $strdomain  = explode('/',$strurl);           
        $sourcehost = $strdomain[0];
		if(strpos($strdomain[1],'~') === false){//判斷是否放在使用者目錄
		$host=$protocol.$_SERVER['HTTP_HOST'];
		}else{
		$host=$protocol.$_SERVER['HTTP_HOST']."/".$strdomain[1];				
		}
 }	
 //頁面設定
 $PAGE_NUMBER="Z02";
 $PAGE_MAINNAME="後端管理區";
 $PAGE_MAINNAME_LINK="admin.php";
 $PAGE_MAINNAME_IOCN="fa-lock"; 
 $PAGE_NAME="網站導覽";
 $PAGE_NAME_IOCN="fa-sitemap"; 
 $MEMULINK="Other"; //基準頁免設
?>
<!DOCTYPE html>
<html lang="zh-Hant-TW">
  <head>
    <meta charset="utf-8">  
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- 上述3個meta標籤*必須*放在最前面，任何其他內容都*必須*跟隨其後！ -->
<?php echo"<meta name=\"description\" content='$DESCRIPTION'>
<meta name=\"keywords\" content='$KEYWORDS'>
<meta name=\"author\" content='$AUTHOR_EN'>
<title>$PAGE_NAME - $WEBNAME</title>    
<meta property=\"og:type\" content=\"EDU\"/>
<meta property=\"og:title\" content='$PAGE_NAME - $WEBNAME' />
<meta property=\"og:site_name\" content='$PROPERTY_SITE_NAME'/>
<meta property=\"og:description\" content='$ACTIVITYNAME'/>
<meta property=\"og:url\" content=\"".$protocol.$http."\" />
<meta property=\"og:type\" content=\"EDU\"/>
<meta property=\"og:title\" content='$PAGE_NAME - $WEBNAME' />
<meta property=\"og:site_name\" content='$PROPERTY_SITE_NAME'/>
<meta property=\"og:description\" content='$ACTIVITYNAME'/>
<meta property=\"og:image\" ccontent=\"".$host."/img/logo.png\" />
";
?>
<!-- Favicons
================================================== -->
<link rel="icon" href="../images/favicon.ico" type="image/x-icon" />
<link rel="shortcut icon" href="../images/favicon.ico" type="image/x-icon" />
<link rel="apple-touch-icon" href="images/touch-icon-iphone.png" /> 
<link rel="apple-touch-icon" sizes="76x76" href="../images/touch-icon-ipad.png" /> 
<link rel="apple-touch-icon" sizes="120x120" href="../images/touch-icon-iphone-retina.png" />
<link rel="apple-touch-icon" sizes="152x152" href="../images/touch-icon-ipad-retina.png" />
	
	
    <!-- Bootstrap -->
    <link href="../css/bootstrap.min.css" rel="stylesheet">

    <!-- Bootstrap Dropdown Hover CSS -->
    <link href="../css/animate.min.css" rel="stylesheet">
    <link href="../css/bootstrap-dropdownhover.min.css" rel="stylesheet">

    <!-- Custom Fonts -->
    <link href="../css/font-awesome.min.css" rel="stylesheet">

    <!-- Custom CSS -->
    <link href="../css/twu_css.css" rel="stylesheet">

    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js" integrity="sha384-0s5Pv64cNZJieYFkXYOTId2HMA2Lfb6q2nAcx2n0RTLUnCAoTTsS0nKEO27XyKcY" crossorigin="anonymous"></script>
        <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js" integrity="sha384-ZoaMbDF+4LeFxg6WdScQ9nnR1QC2MIRxA1O9KWEXQwns1G8UNyIEZIQidzb0T1fo" crossorigin="anonymous"></script>
    <![endif]-->
<style type="text/css">
/*--本頁表格專用*/
</style>
</head>
<body>
<?php include("include/header_meun.php"); ?>  
<!-- Header -->
<?php include("include/header_img.php"); ?> 
<!-- Page Content -->
<!-- Breadcrumbs導覽列(Breadcrumb，麵包屑) -->
<div id="my-breadcrumb">
   <div class="container-fluid bg-breadcrumb">
      <div class="container">
         <div class="row">
            <div class="col-sm-8 col-lg-8"> 
                <nav aria-label="breadcrumb">
				<ol class="breadcrumb">
                    <i class="fa fa-road" aria-hidden="true" alt=" "></i>&nbsp;您目前位置：&nbsp;<li class="breadcrumb-item"><i class="fa fa-home" aria-hidden="true" alt=" "></i><a href="index.php" title="<?php echo $WEBNAME?>首頁" tabindex="221">首頁</a></li>
                    <li class="breadcrumb-item"><i class="fa <?php echo $PAGE_MAINNAME_IOCN?>" aria-hidden="true" alt=" "></i>&nbsp;<a href="<?php echo $PAGE_MAINNAME_LINK?>" title="<?php echo $PAGE_MAINNAME?>" tabindex="222"><?php echo $PAGE_MAINNAME?></a></li>
                    <li class="breadcrumb-item active"  aria-current="page"><i class="fa <?php echo $PAGE_NAME_IOCN?>" aria-hidden="true" alt=" "></i>&nbsp;<?php echo $PAGE_NAME?></li></ol> 					
</nav>				
            </div><!--/col-lg-8 -->
            <div class="col-lg-4 d-none d-sm-block col-sm-4">
			    <div class="fontsize">
<a tabindex="233" onkeypress="fontbig()" onclick="fontbig()" href="#" title="big">+</a>
<a tabindex="232" onkeypress="font()" onclick="font()" href="#" title="Normal">O</a>
<a tabindex="231" onkeypress="fontsmall()" onclick="fontsmall()" href="#" title="small">-</a>
<div class="font_t">FONT SIZE:</div>
<!--fontsize end-->
                </div>
            </div>  <!--/col-lg-4 -->           
         </div><!--/row -->
      </div><!--/container -->
   </div><!--/container-fluid -->
</div> <!--/my-breadcrumb-->
<!-- END of Breadcrumbs導覽列(Breadcrumb，麵包屑) -->
        <!-- 內文- -->
<section class="patched-section" id="section-top">
      <div class="container-fluid container-bg">
      <div class="container bg-white">
        <div class="row">
<div class="col-md-3 bg-blue widget_mfn_menu">
<div class="accesskey d-none"><a accesskey="L" title="Left Block" href="#" tabindex="300">:::</a></div>		
<h3><i class="fa fa-cogs" aria-hidden="true"></i><?php echo $PAGE_MAINNAME?></h3>
<!-- 管理者選單 -->
<?php include("include/admin_links.php"); ?> 
<!-- /管理者選單 -->
            </div> 
             <div class="col-md-9">
<div class="accesskey d-none"><a accesskey="C" title="content Block" href="#" tabindex="400">:::</a></div>    
                <p class="lead"><i class="fa <?php echo $PAGE_NAME_IOCN?>" aria-hidden="true" alt=" "></i>&nbsp;<?php echo $PAGE_NAME?></p>
                <hr>
<h4><i class="fa fa-info-circle" aria-hidden="true"></i>無障礙設計說明:</h4>
<p>本網站的設計致力於符合無障礙的標準，其中並提供便捷鍵(Accesskey)的設定，以幫助障礙人士使用。本網站依無障礙網頁設計原則而建置，網站的主要樣版內容分為4個大區塊：</p>
<p>1)上方連結區、2)左方相關連結區、3)中間主要內容區、4)：版權宣告連結區</p>
<p>本網站的便捷鍵﹝Accesskey,也稱為快速鍵﹞設定如下：</p>
               <p><kbd><kbd>Alt</kbd> + <kbd>U</kbd></kbd>：上方連結區，此區塊可連至本網站所常用之連結。</p>
               <p><kbd><kbd>Alt</kbd> + <kbd>L</kbd></kbd>：左方相關連結區，此區塊包括本單元的相關項目連結</p>
               <p><kbd><kbd>Alt</kbd> + <kbd>C</kbd></kbd>：中間主要內容區，此區塊呈現各網頁的網 </p>
               <p><kbd><kbd>Alt</kbd> + <kbd>G</kbd></kbd>：版權宣告連結區，此區塊為版權宣告及服務連結。</p>           
<h4><i class="fa fa-wrench" aria-hidden="true"></i>瀏覽器如何使用快速鍵(AccessKey)： </h4>
<p><i class="fa fa-internet-explorer" aria-hidden="true"></i>Internet Explorer:Alt+AccessKey. </p>
<p><i class="fa fa-firefox" aria-hidden="true"></i>Firefox:Alt+Shift+AccessKey.</p>
<p><i class="fa fa-chrome" aria-hidden="true"></i>Google Chrome+<i class="fa fa-safari" aria-hidden="true"></i>Safari:依照作業系統區分，Microsoft用戶請使用Alt+AccessKey.  Macintosh(Mac)用戶請使用 Alt+Option+AccessKey.</p>
<p><i class="fa fa-opera" aria-hidden="true"></i>Opera:Shift+Esc+AccessKey.</p>
<h4><i class="fa fa-link" aria-hidden="true"></i> 網站導覽 </h4>
               <hr>
<ul class="sitemaplist"><!--項下連結-->
<?php
$countsitemap='';
 //繼續執行查詢		
$SelectQuery2 = "SELECT ID,Name,FontAwesome FROM webstructure WHERE configStructure='menu' AND parentID = 0 AND isDisplay='true' Order by SortNum,ID";
//執行SQL
$Statement2 = $Database->prepare($SelectQuery2);
$Statement2->execute();
$Rowset2 = $Statement2->fetchAll(PDO::FETCH_ASSOC);
foreach ($Rowset2 as $row2) {
	$countsitemap++;
echo "<li><span class=\"badge badge-primary\">主選單</span><a href=\"index.php?fillID=$row2[ID]\" tabindex=\"500\" title=\"$row2[Name]\">$countsitemap.<i class=\"fa $row2[FontAwesome]\" aria-hidden=\"true\"></i>$row2[Name]</a></li>";
 }
?>

<?php
//left_menu	左方選單
//判斷有無啟用
$leftmenuQuery = "SELECT ID,Name,FontAwesome FROM webstructure WHERE configStructure='left_menu' AND parentID = 0 AND isDisplay='true' Order by SortNum,ID";
$leftmenuStatement = $Database->prepare($leftmenuQuery);
$leftmenuStatement->execute();
$leftmenuRowset = $leftmenuStatement->fetchAll(PDO::FETCH_ASSOC);
$leftmenunum = count($leftmenuRowset);    //fetchAll()  	算比數
if ($leftmenunum>0)  {
 //繼續執行查詢		
$leftmenuQuery2 = "SELECT ID,Name,FontAwesome FROM webstructure WHERE configStructure='left_menu' AND parentID = 0 AND isDisplay='true' Order by SortNum,ID";
$leftmenuStatement2 = $Database->prepare($leftmenuQuery2);
$leftmenuStatement2->execute();
$leftmenuRowset2 = $leftmenuStatement2->fetchAll(PDO::FETCH_ASSOC);
foreach ($leftmenuRowset2 as $leftmenurow2) {
$countsitemap++;
echo "<li><span class=\"badge badge-info\">左方選單</span><a href=\"?fillID=$leftmenurow2[ID]\" tabindex=\"500\" title=\"$leftmenurow2[Name]\">$countsitemap.<i class=\"fa $leftmenurow2[FontAwesome]\" aria-hidden=\"true\"></i>$leftmenurow2[Name]</a></li>";
}
}
?>
<?php
// 	二級單位暨所屬網站 
 //繼續執行查詢		
$sectionQuery = "SELECT Text FROM parameters WHERE Class='system' AND Vaule='sectionlinks'";
//執行SQL
$sectionStatement = $Database->prepare($sectionQuery);
$sectionStatement->execute();
$sectionRowset = $sectionStatement->fetchAll(PDO::FETCH_ASSOC);
foreach ($sectionRowset as $sectionRow) {
$sectionlinks=$sectionRow['Text'];
 }
if ($sectionlinks ==1){
 //繼續執行查詢		
$SelectQuery = "SELECT * FROM advertisement WHERE linksclass='sectionlinks' AND isDisplay='true' ";
$Statement = $Database->prepare($SelectQuery);
$Statement->execute();
$Rowset = $Statement->fetchAll(PDO::FETCH_ASSOC);
foreach ($Rowset as $row) {
$countsitemap++;
 $pieces = explode ("://", $row["url"]);
		if ($pieces[0]=="https"){
			//$path="https://".str_replace("https://","",strtolower($_POST["textpath"])); 
			$path="https://".str_replace("https://","",$row["url"]); 
			$ad_url="<a href=\"$path\" tabindex=\"500\" target=\"_blank\" title=\"$row[Name](開啟新網頁)\">";
			}elseif ($pieces[0]=="http"){
			//$path="http://".str_replace("http://","",strtolower($_POST["textpath"])); 
			$path="http://".str_replace("http://","",$row["url"]); 
			$ad_url="<a href=\"$path\" tabindex=\"500\" target=\"_blank\" title=\"$row[Name](開啟新網頁)\">";
			}else{			
            $path=$row["url"];
			$ad_url="<a href=\"$path\" tabindex=\"500\" title=\"$row[Name]\">";
			}
echo "<li><span class=\"badge badge-danger\">二級單位暨所屬網站</span>$ad_url$countsitemap.<i class=\"fa $row[FontAwesome]\" aria-hidden=\"true\"></i>$row[Name]</a></li>";
}
}
?>
<?php
//navtop選單		
$SelectQuery = "SELECT * FROM advertisement WHERE linksclass='navtop' AND isDisplay='true' ";
$Statement = $Database->prepare($SelectQuery);
$Statement->execute();
$Rowset = $Statement->fetchAll(PDO::FETCH_ASSOC);
foreach ($Rowset as $row) {
$countsitemap++;
 $pieces = explode ("://", $row["url"]);
		if ($pieces[0]=="https"){
			//$path="https://".str_replace("https://","",strtolower($_POST["textpath"])); 
			$path="https://".str_replace("https://","",$row["url"]); 
			$ad_url="<a href=\"$path\" tabindex=\"500\" target=\"_blank\" title=\"$row[Name](開啟新網頁)\">";
			}elseif ($pieces[0]=="http"){
			//$path="http://".str_replace("http://","",strtolower($_POST["textpath"])); 
			$path="http://".str_replace("http://","",$row["url"]); 
			$ad_url="<a href=\"$path\" tabindex=\"500\" target=\"_blank\" title=\"$row[Name](開啟新網頁)\">";
			}else{			
            $path=$row["url"];
			$ad_url="<a href=\"$path\" tabindex=\"500\" title=\"$row[Name]\">";
			}
echo "<li><span class=\"badge badge-warning\">上方選單</span>$ad_url$countsitemap.<i class=\"fa $row[FontAwesome]\" aria-hidden=\"true\"></i>$row[Name]</a></li>";
}
?>
                                                                                                                                                                                            
               </ul>
                          
          </div> 
        </div>
</div>
</div>
      </section>
<?php include("include/footer_social.php"); ?>
<!-- Begin footer -->    
<footer class="bs-docs-footer" id="section-footer">
<!-- #Date -->
<section id="page-BeginDate">
      <div class="container-fluid page-BeginDate">
        <div class="container">
        <div class="row">
            <div class="col-lg-12">        
<?php
$scriptname=end(explode('/',$_SERVER['PHP_SELF']));
//繼續執行查詢		
$VersionQuery = "SELECT Version,UpdateTime FROM program WHERE url='".$scriptname."'";
//執行SQL
$VersionStatement = $Database->prepare($VersionQuery);
$VersionStatement->execute();
$VersionRowset = $VersionStatement->fetchAll(PDO::FETCH_ASSOC);
foreach ($VersionRowset as $Versionrow) {
$prVersion=$Versionrow["Version"];
$prUpdateTime=$Versionrow["UpdateTime"]; 	
 }
 ?>
版本:V.<?php echo $prVersion;?>(Last Updated: <?php echo $prUpdateTime;?>)
</div></div>
</div>
      </div>
</section>
<!-- #EndDate -->    
<?php include("include/footer_copyright.php"); ?>
  </body>
</html>